Skip to main content
GET
ListRules

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of Rules to return. The service may return fewer than this value. If unspecified, at most 50 Rules will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListRules call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListRules must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are rule_id, client_key, name, description, asset_id, tag_id, and deleted_date. For further information about how to use CELs, please refer to this guide. Optional.

orderBy
string

How to order the retrieved Rules. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are created_date and modified_date. If left empty, items are ordered by created_date in descending order (newest-first).

Response

A successful response.

rules
object[]
required
nextPageToken
string